package com.sf.vertx.handle;


import io.vertx.codegen.annotations.VertxGen;
import io.vertx.core.Handler;
import io.vertx.ext.web.RoutingContext;
import io.vertx.httpproxy.HttpProxy;

/**
 * @author <a href="mailto:emad.albloushi@gmail.com">Emad Alblueshi</a>
 */

@VertxGen
public interface SFProxyHandler extends Handler<RoutingContext> {

  static SFProxyHandler create(HttpProxy httpProxy) {
    return new SFProxyHandlerImpl(httpProxy);
  }

  static SFProxyHandler create(HttpProxy httpProxy, int port, String host) {
    return new SFProxyHandlerImpl(httpProxy, port, host);
  }
}
